LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-23-2015, 01:59 AM   #1
hruday
Member
 
Registered: Jun 2015
Posts: 84

Rep: Reputation: Disabled
Update Apache in CentOS 5.8 for PCI Compliance


We have CentOS 5.8 Production server. To pass PCI Compliance we need to update apache to 2.2.29 or higher and open ssh 6.6 or higher. But centOS 5.8 has apache 2.2.3. is there any way to update apache from source? as i am unable to update apache from repository.
 
Old 06-23-2015, 08:46 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,218

Rep: Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517Reputation: 2517
5.8 has been UNSUPPORTED since Jan. 2013

it is missing 2.5 YEARS of security updates


if you need to continue using the legacy support 5 series then please UPGRADE to 5.11 ASAP

5.11 has "httpd-2.2.3-91.el5.centos.x86_64.rpm" in the base repo

cent like rhel will NEVER change the major version of a program in the os life time
the version in centos 5.0 will be the same as in 5.11 or 5.12

BUT

security fixes are backported
so this is update 91 to the 2.2.3 Apache

you can always BUILD the current source and ADD in the rhel/cent PATCHES to the source code
they are in the "SRC.rpm" for Apache

Last edited by John VV; 06-23-2015 at 08:47 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
PCI Compliance fetal Linux - Server 6 02-11-2013 10:55 PM
is PCI Compliance possible in a multi-node cloud setup? sneakyimp Linux - Security 2 10-11-2012 08:39 PM
vsftpd and PCI compliance saraza Linux - Networking 3 09-22-2012 02:39 PM
rhel 5.8 / apache 2.4.3 / openssl 0.9.8x / PCI Compliance / compile from source cwyble Red Hat 2 09-03-2012 01:09 PM
apache 2.2.3 / RHEL 5 / PCI Compliance / openssl sowell Linux - Server 2 12-09-2009 10:26 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 02:16 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration